<?php

namespace KupShop\OrderRestrictionsBundle\Admin;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class OrderRestrictionsAdminRegister extends AdminRegister implements IAdminRegisterStatic
{
    public static function getMenu(): array
    {
        return [
            static::createMenuItem('ordersMenu',
                [
                    'name' => 'OrderRestrictions',
                    'left' => 's=menu.php&type=OrderRestrictions',
                    'right' => 's=list.php&type=OrderRestrictions',
                ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('OrderRestrictions', [\Modules::ORDER_RESTRICTIONS], ['ORDER'], false),
        ];
    }
}
